.navbar {
	display: block;
	background-color: var(--navbar-bg-color);
	color: var(--navbar-color);
}

.navbar-content-wrapper
{
	display: flex;
	justify-content: space-between;
	align-items: center;
	height: var(--navbar-height);
	width: min(var(--content-max-width), 100%);
	padding: 0;
	margin: 0 auto;
}

.viewmode-toggle-wrapper
{
	display: block;
	padding: 0;
}

.nav-links
{
	display: block;
	padding: 0 var(--content-padding-inline);
}

.viewmode-toggle
{
	display: inline-block;
	height: var(--navbar-height);
	line-height: var(--navbar-height);
	padding: var(--navbar-link-padding-block) var(--navbar-link-padding-inline);
	color: #fff;
}

.viewmode-toggle:hover,
.viewmode-toggle:active,
.viewmode-toggle:focus
{
	background-color: var(--navbar-hover-bg-color);
	transition: 0.3s ease;
	color: #fff;
}

body:not(.nightmode) .viewmode-toggle .viewmode-day
{
	display: none;
}

body.nightmode .viewmode-toggle .viewmode-night
{
	display: none;
}

.nav-links a {
	display: block;
	color: #fff;
	text-decoration: none;
	height: var(--navbar-height);
	line-height: var(--navbar-height);
}

.menu {
	display: flex;
	font-size: 18px;
	list-style-type: none;
	margin: 0;
}

.menu li a {
	padding: var(--navbar-link-padding-block) var(--navbar-link-padding-inline);
}

.menu li a:hover {
	background-color: var(--navbar-hover-bg-color);
	transition: 0.3s ease;
}

.dropdown-wrapper {
	position: relative; 
}

.dropdown {
	display: none;
	position: absolute;
	top: var(--navbar-height);
	width: var(--navbar-dropdown-width);
	padding: 0;
	margin: 0;
	background-color: var(--navbar-bg-color);
	list-style-type: none;
}

.dropdown li {
	display: block;
	width: var(--navbar-dropdown-width);
	text-align: left;
}

.dropdown li a {
	display: block;
	width: 100%;
	white-space: nowrap;
	overflow: hidden;
	text-overflow: ellipsis;
}

.dropdown li a:hover {
	background-color: var(--navbar-hover-bg-color);
}

.dropdown-wrapper:hover .dropdown {
	display: block;
}

input[type=checkbox] {
	display: none;
} 

.hamburger {
	display: none;
	font-size: 24px;
	user-select: none;
}

@media (max-width: 768px) {
	.menu {
		display:none;
		position: absolute;
		right: 0;
		left: 0;
		padding: 0;
		margin: 0;
		background-color: var(--navbar-bg-color);
		z-index: 3;
	}
	
	.menu li
	{
		margin: 0;
		padding: 0;
	}
	
	.menu li a
	{
		display: block;
		width: 100%;
		height: var(--navbar-height);
		margin: 0;
		line-height: var(--navbar-height);
	}

	input[type=checkbox]:checked ~ .menu {
		display: block;
	}

	.hamburger {
		display: block;
	}

	.dropdown {
		display: block;
		position: static;
		width: 100%;
	}

	.dropdown li {
		width: 100%;
	}

	.dropdown li a {
		width: 100%;
		padding: 0 0 0 40px;
		font-size: 0.9em;
	}

	.dropdown li a:hover {
		background-color: var(--navbar-hover-bg-color);
	}
}
